{
  "name": "@raining.cards/app--who-knows-whom",
  "version": "0.2.0",
  "license": "AGPL-3.0",
  "contributors": [
    {
      "email": "dev@xoria.de",
      "name": "Ole Reglitzki"
    }
  ],
  "homepage": "https://raining.cards",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/xoria/raining-cards.git"
  },
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "lint:fix": "eslint index.ts 'src/**/*.ts' --quiet --fix",
    "lint": "eslint index.ts 'src/**/*.ts'",
    "clean": "rimraf dist",
    "verify": "npm run lint && npm run typecheck && npm run circularcheck",
    "verify:ci": "npm run lint && npm run circularcheck",
    "build": "npm run clean && ttsc --project tsconfig.json --sourceMap",
    "typecheck": "tsc --project tsconfig.json --noEmit",
    "circularcheck": "dpdm --exclude '\\/(?:dist|node_modules)\\/' --exit-code circular:1 -T index.ts",
    "prepublishOnly": "npm run verify && npm run build"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.ts": [
      "eslint --fix"
    ],
    "index.ts": [
      "eslint --fix"
    ]
  },
  "peerDependencies": {
    "@raining.cards/server": "^0.2.3"
  },
  "dependencies": {
    "@raining.cards/common": "^0.2.0",
    "@raining.cards/util": "^0.2.2",
    "tslib": "^2.2.0"
  },
  "devDependencies": {
    "@types/node": "^14.14.41",
    "@typescript-eslint/eslint-plugin": "^4.22.0",
    "@typescript-eslint/parser": "^4.22.0",
    "dpdm": "^3.6.0",
    "eslint": "^7.24.0",
    "eslint-config-prettier": "^8.2.0",
    "eslint-plugin-prettier": "^3.4.0",
    "husky": "^6.0.0",
    "lint-staged": "^10.5.4",
    "prettier": "^2.2.1",
    "rimraf": "^3.0.2",
    "ts-essentials": "^7.0.1",
    "ttypescript": "^1.5.12",
    "typescript": "^4.2.4",
    "typescript-transform-paths": "^2.2.3"
  }
}
